Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticMenuUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.MenuItemUI
                  javax.swing.plaf.basic.BasicMenuItemUI
                      javax.swing.plaf.basic.BasicMenuUI
                          com.jgoodies.looks.common.ExtBasicMenuUI
                              com.jgoodies.looks.plastic.PlasticMenuUI

    public final class PlasticMenuUI

extends ExtBasicMenuUI

The JGoodies Plastic look&feel implementation of `MenuUI`. It differs from the superclass in that it uses an overhauled menu rendering an aligmnent system. Furthermore, you can set a client property `Options.NO_ICONS_KEY` to indicate that this menu has no icons.

Version:
  $Revision: 1.14 $
Author:
  Karsten Lentzsch
See Also:
  `Options`

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicMenuUI
`BasicMenuUI.ChangeHandler, BasicMenuUI.MouseInputHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicMenuUI
`changeListener, menuListener`

Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`

Constructor Summary
`PlasticMenuUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected void` | `installDefaults()`
`protected void` | `paintMenuItem(Graphics g, JComponent c, Icon aCheckIcon, Icon anArrowIcon, Color background, Color foreground, int textIconGap)` Makes the item transparent, if it is not a sub menu and the model is not selected.
`protected void` | `uninstallDefaults()`

Methods inherited from class com.jgoodies.looks.common.ExtBasicMenuUI
`getPreferredMenuItemSize, getPropertyPrefix, installListeners, uninstallListeners`

Methods inherited from class javax.swing.plaf.basic.BasicMenuUI
`createChangeListener, createMenuDragMouseListener, createMenuKeyListener, createMenuListener, createMouseInputListener, createPropertyChangeListener, getMaximumSize, installKeyboardActions, setupPostTimer, uninstallKeyboardActions`

Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`doClick, getMinimumSize, getPath, getPreferredSize, installComponents, installUI, paint, paintBackground, paintText, uninstallComponents, uninstallUI, update`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticMenuUI

    public PlasticMenuUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults()

  Overrides:
    `installDefaults` in class `ExtBasicMenuUI`

### uninstallDefaults

    protected void uninstallDefaults()

  Overrides:
    `uninstallDefaults` in class `ExtBasicMenuUI`

### paintMenuItem

    protected void paintMenuItem(Graphics g,
                                 JComponent c,
                                 Icon aCheckIcon,
                                 Icon anArrowIcon,
                                 Color background,
                                 Color foreground,
                                 int textIconGap)

  Makes the item transparent, if it is not a sub menu and the model is not selected.

  Overrides:
    `paintMenuItem` in class `ExtBasicMenuUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.